<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <title>Fab Academy</title>
    <link rel="icon" href="img/fav.png" type="image/x-icon">

    <!-- Bootstrap -->
    <link href="css/bootstrap.min.css" rel="stylesheet">
    <link href="ionicons/css/ionicons.min.css" rel="stylesheet">

    <!-- main css -->
    <link href="css/style.css" rel="stylesheet">


    <!-- modernizr -->
    <script src="js/modernizr.js"></script>

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
</head>

<body>

    <!-- Preloader -->
    <div id="preloader">
        <div class="pre-container">
            <div class="spinner">
                <div class="double-bounce1"></div>
                <div class="double-bounce2"></div>
            </div>
        </div>
    </div>
    <!-- end Preloader -->

    <div class="container-fluid">
       <!-- box-header -->
        <header class="box-header">
            <div class="box-logo">
                <a href="index.html"><img src="img/logo.png" width="120" alt="Logo"></a>
            </div>
            <!-- box-nav -->
            <a class="box-primary-nav-trigger" href="#0">
                <span class="box-menu-text">Menu</span><span class="box-menu-icon"></span>
            </a>
            <!-- box-primary-nav-trigger -->
        </header>
        <!-- end box-header -->

        <!-- nav -->
        <nav>
            <ul class="box-primary-nav">
                <li class="box-label">MDEF Journal</li>

                <li><a href="index.html">Home</a></li>
                <li><a href="about.html">About me</a></li>
                <li><a href="reflection.html">Reflection</a>
                <li><a href="fabAcademy.html">Fab Academy</a></li> <i class="ion-ios-circle-filled color"></i></li>
                <li><a href="project.html">Master Project</a></li>

                <li class="box-label">Follow me</li>
                <li class="box-social"><a target="_blank" href="https://www.facebook.com/chingchia.jen"><i class="ion-social-facebook"></i></a></li>
                <li class="box-social"><a target="_blank" href="https://www.instagram.com/chingchiajen/?hl=zh-tw"><i class="ion-social-instagram-outline"></i></a></li>
                <li class="box-social"><a target="_blank" href="https://www.linkedin.com/in/ching-chia-renn-a85285159/"><i class="ion-social-linkedin"></i></a></li>
                <li class="box-social"><a target="_blank" href="#0"><i class="ion-social-youtube"></i></a></li>
            </ul>
        </nav>
        <!-- end nav -->
    </div>

    <!-- main-container -->
    <div class="container main-container">


        <div class="col-md-12">
          <p class="center"><img width="200" height="200" src="img/reflections/fabA/w02/fab-02.jpg" alt="" /></p>
            <h3 class="center">Computer-Aided Design</h3>
            <h5 class="center">5 - 11 February 2020</h5>
            <p class="center">Tutors: Santiago Fuentemilla, Eduardo Chamorro, Xavi Domínguez, Óscar González</p>
            <div class="h-30"></div>
        </div>

        <div align="justify">
          <p>The idea of Fab Academy this week was about introductions of different software which allows us to get approach to CAD and practices included 2D and 3D design tools.</p>

          <h3>2D Design Tools</h3>
          <p>There are twq different types of 2D design tools, which are raster (or called bitmap ro pixelmap) and vector.
            Vectors are the geometric description (mathematical) of an image; and pixels are the smallest unit of the bitmap images, which are also called raster images or bitmaps.</p>

          <h4>Raster Graphics Software</h4>
          <p>A raster graphics software is an application that facilitates the creation and edition of photos or graphical illustrations and saving them in one of the standard raster image formats like JPEG, GIF, PNG, and others.
            There are some common raster graphics software like <a target="_blank" href="https://www.adobe.com/products/photoshopfamily.html">Adobe Photoshop</a> and <a target="_blank" href="https://www.gimp.org/">Gimp</a> (Free + Opensource Graphic Editor)</p>
          <h4>Photoshop</h4>
          <p>Adobe Photoshop is a raster graphics editor developed and published by Adobe Inc. In the Photoshop, you can easily adjust images' color, brightness, contrast, saturation, etc.</p>
          <img src="img/reflections/fabA/w02/ps.png" class="img-responsive" alt="" />
          <h5>Tutorial: <a target="_blank" href="https://helpx.adobe.com/photoshop/tutorials.html">Adobe Photoshop tutorials</a></h5>
          <div class="h-30"></div>

          <h4>Vector Graphics Software</h4>
          <p>A vector graphics software allows users to design and manipulate computer images using geometric and mathematical commands, rather than clicks and strokes as used in drawing software.
            Vector images created using these programs can be scaled indefinitely without losing quality and saving them in one of many popular vector graphics formats, such as EPS, PDF, WMF, SVG, or VML.
            Vector graphics tools are often used to create high-definition illustrations for use on the web, in games, and other multimedia.
            There are some common vector graphics software like <a target="_blank" href="https://www.adobe.com/products/illustrator.html">Adobe Illustrator</a> and <a target="_blank" href="https://inkscape.org/">Inkscape</a> (Free + Opensource Graphic Editor)</p>
          <h4>Illustrator</h4>
          <p>Adobe Illustrator is a vector graphics editor developed and marketed by Adobe Inc. In the illustrator, every shape and curve are  composed of vectors.</p>
          <img src="img/reflections/fabA/w02/ai.png" class="img-responsive" alt="" />
          <h5>Tutorial: <a target="_blank" href="https://helpx.adobe.com/illustrator/tutorials.html">Adobe Illustrator tutorials</a></h5>
          <div class="h-30"></div>

          <h3>3D Design Tools</h3>
          <p>3D modeling software allows designers to transform their designs and blueprints into lifelike models and lets artists clearly visualize the dimensions of their building designs before construction is complete.
            There are several 3D modeling software tools available, such as Rhinoceros 3D, Fusion 360, Blender, FreeCAD, Solidwork...etc, and each with varying capabilities.</p>
          <h4>Rhinoceros 3D</h4>
          <p>Rhinoceros (Rhino, or Rhino3D) is a commercial 3D computer graphics and computer-aided design (CAD) application software developed by Robert McNeel & Associates.
            I learned Rhino before and I was very familiar with its operation interface.
            I have been using it to build 3D models for my designs and I think I will keep using it in the future project.</p>
          <img src="img/reflections/fabA/w02/rhino_class.png" class="img-responsive" alt="" />
          <h5>Official website: <a target="_blank" href="https://www.rhino3d.com/">Rhinoceros 3D</a></h5>
          <div class="h-30"></div>
          <h4>Grasshopper</h4>
          <p>Grasshopper is a visual programming language and environment that runs within the Rhinoceros 3D computer-aided design (CAD) application.
            It is an extension of parametric design tool for Rhino.
            I really like grasshopper, because of its visualize interface and many free diverse tools for grasshopper that I can easily download from <a target="_blank" href="https://www.food4rhino.com/">Food4Rhino</a>.</p>
          <img src="img/reflections/fabA/w02/gh_class.png" class="img-responsive" alt="" />
          <h5 class="center">The practice in the class</h5>
          <div class="h-30"></div>

          <h5>Features</h5>
          <ul>
            <li>Parametric design</li>
            <li>Visual Programming</li>
          </ul>
          <h5>References</h5>
          <ul>
            <li>Official grasshopper introduction</li>
            <li>Visual Programming in Rhino3D with Grasshopper</li>
            <li>Noumena Grasshopper - Lecture</li>
          </ul>
          <h5>Tutorial: <a target="_blank" href="https://speakerdeck.com/santifu/parametric-design-af6a70e1-9f07-4107-adf1-09f38c21ac07">Parametric Design</a></h5>
          <h5>Tutorial: <a target="_blank" href="https://vimeopro.com/rhino/grasshopper-getting-started-by-david-rutten">Official grasshopper introduction</a> (by-david-rutten)</h5>
          <h5>Watch: <a target="_blank" href="https://www.youtube.com/watch?v=mktp0ibtcTw&t=6815s">Rhino Grasshopper Youtube Channel</a></h5>
          <h5>Tutorial: <a target="_blank" href="https://aae280.files.wordpress.com/2014/10/mode-lab-grasshopper-primer-third-edition.pdf">Grasshopper fundations- Third edition</a></h5>
          <div class="h-30"></div>

          <h4>Fusion 360</h4>
          <p>Fusion 360 is a software which is integrated CAD, CAM, and CAE from Autodesk. It also a softeware that can build models in parametric design.
            In fabAcademy class this week, we learned Fusion and it's my first time that I was in touch with Fusion 360.
            I was not very used to its operation interface at the beginning, it's really different from Rhino, but with more practices, I got more familiar with it.</p>
          <img src="img/reflections/fabA/w02/fusion.png" class="img-responsive" alt="" />
          <h5 class="center">The practice in the class</h5>
          <h5>Official website: <a target="_blank" href="https://www.autodesk.com/products/fusion-360/overview">Autodesk Fusion 360</a></h5>
          <h5>Features</h5>
          <ul>
            <li>Computer-aided design(CAD)</li>
            <li>Computer-aided manufacturing(CAM)</li>
            <li>Computer-aided engineering (CAE)</li>
            <li>Cloud based software</li>
            <li>Generative Design</li>
            <li>STEP Files</li>
          </ul>
          <h5>Watch: <a target="_blank" href="https://www.youtube.com/watch?v=J_2If5zVp84&t=0s">Fusion 360: Sketch Constraints</a></h5>
          <h5>Watch: <a target="_blank" href="https://www.youtube.com/user/AutodeskFusion360/videos">Fusion 360 Youtube Channel</a></h5>
          <div class="h-30"></div>

          <h4>Blender</h4>
          <p>Blender is a free and open-source 3D computer graphics software toolset used for creating animated films, visual effects, art, 3D printed models, motion graphics, interactive 3D applications, and computer games.
            Blender's features include 3D modeling, UV unwrapping, texturing, raster graphics editing, rigging and skinning, fluid and smoke simulation, particle simulation, soft body simulation, sculpting, animating, match moving, rendering, motion graphics, video editing, and compositing.</p>
          <p>Blender was also a software that was teached in the fabAcademy class this week, and I was just got in touch first time with Blender. I was very surptised that Blender is a powerful software which was intergrated many function.</p>
          <img src="img/reflections/fabA/w02/blender_class.png" class="img-responsive" alt="" />
          <h5 class="center">The practice in the class</h5>
          <h5>Official website: <a target="_blank" href="https://www.blender.org/">Blender</a></h5>
          <h5>Features</h5>
          <ul>
            <li>Rendering</li>
            <li>Modeling & Sculpting</li>
            <li>3D Animation (and Rigging) & Video Editing</li>
            <li>Visual Effects Features</li>
            <li>Simulation</li>
            <li>Scripting & Interface</li>
          </ul>
          <h5>Keyboard shortcut: <a target="_blank" href="https://external-preview.redd.it/SE9eKPJBIFq7IioJ_ZpIgVAO7lm2ghqf-8H0KcFzdvQ.png?auto=webp&s=93a3885b65ffd08df9e9211a5e0e61e247652ba0">Blender</a></h5>
          <h5>Watch: <a target="_blank" href="https://www.youtube.com/watch?v=e5XORqVkVlE">Fab Academy 2015: Lecture 02 Blender</a></h5>
          <h5>Watch: <a target="_blank" href="https://www.youtube.com/watch?v=Y0xqculb124">Fab Lab BCN - Blender class</a></h5>
          <div class="h-30"></div>

          <h3>A Potential Project</h3>
          <p>In last week, I had had a potential project sketch, so this week was trying to build the 3D model for the potential project.
            Also because the fabAcademy this week was Computer-Aided Design, it's important to practice the various software and got familiar with them.</p>
          <img src="img/reflections/fabA/w01/sketch.jpg" class="img-responsive" alt="" />
          <h5 class="center">Sketch for a potential project</h5>
          <div class="h-30"></div>
          <img src="img/reflections/fabA/w02/main_rotate.gif" class="img-responsive" alt="" />
          <div class="h-30"></div>
          <img src="img/reflections/fabA/w02/main_move.gif" class="img-responsive" alt="" />
          <div class="h-30"></div>
          <img src="img/reflections/fabA/w02/all.gif" class="img-responsive" alt="" />
          <div class="h-30"></div>

          <h3>Files</h3>
          <ul>
            <li><a href="img/reflections/fabA/w02/project.7z" download>3d Model</a> (.3dm)</li>
            <li><a href="img/reflections/fabA/w02/main_move.7z" download>Photoshop Anime</a> (.psd)</li>
            <li><a href="img/reflections/fabA/w02/roll.ai" download>Illustrator Drawing</a> (.ai)</li>
          </ul>

        </div>
        </div>


    <!-- end main-container -->


    <!-- footer -->
    <footer>
        <div class="container-fluid">
            <p class="copyright">Ching-Chia Renn © MDEF 2019-2020</p>
        </div>
    </footer>
    <!-- end footer -->

    <!-- back to top -->
    <a href="#0" class="cd-top"><i class="ion-android-arrow-up"></i></a>
    <!-- end back to top -->




    <!-- jQuery -->
    <script src="js/jquery-2.1.1.js"></script>
    <!--  plugins -->
    <script src="js/bootstrap.min.js"></script>
    <script src="js/menu.js"></script>
    <script src="js/animated-headline.js"></script>
    <script src="js/isotope.pkgd.min.js"></script>


    <!--  custom script -->
    <script src="js/custom.js"></script>

    <!-- google analytics  -->
    <script>
        (function (i, s, o, g, r, a, m) {
            i['GoogleAnalyticsObject'] = r;
            i[r] = i[r] || function () {
                (i[r].q = i[r].q || []).push(arguments)
            }, i[r].l = 1 * new Date();
            a = s.createElement(o),
                m = s.getElementsByTagName(o)[0];
            a.async = 1;
            a.src = g;
            m.parentNode.insertBefore(a, m)
        })(window, document, 'script', 'https://www.google-analytics.com/analytics.js', 'ga');

        ga('create', 'UA-76796224-1', 'auto');
        ga('send', 'pageview');
    </script>

</body>

</html>
